FROM mongo:4
ADD https://github.com/ufoscout/docker-compose-wait/releases/download/2.7.3/wait /wait
COPY wait-then-run.sh /wait-then-run.sh
RUN chmod +x /wait /wait-then-run.sh

# Copy the scripts into our container.
COPY ./scripts /scripts

# Make /scripts our working directory inside the container.
WORKDIR /scripts

# Wait for the server to be ready, then run the mongo client.
ENTRYPOINT [ "/wait-then-run.sh" ]
